import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const cityGetHatchingsByAge = createAsyncThunk(
  "CITY_GET_HATCHINGS_BY_AGE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("poultry_hatching/", {
      params: {
        chicken_age: true,
        role: getRoleFromUrl(),
        chicken_age1: d.selectedAge1,
        chicken_age2: d.selectedAge2,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
